#ifndef FORMOCPP16GENERALSETTINGS_H
#define FORMOCPP16GENERALSETTINGS_H

#include <QWidget>
#include "DataTypeDef.h"

namespace Ui {
class FormOCPP16GeneralSettings;
}

class FormOCPP16GeneralSettings : public QWidget
{
    Q_OBJECT

public:
    explicit FormOCPP16GeneralSettings(QWidget *parent = nullptr);
    ~FormOCPP16GeneralSettings();

    ocpp1_6_info_t ocpp_info();
    void setOcpp_info(const ocpp1_6_info_t &newOcpp_info);

private:
    void initWidget();
    void initConnect();

    void refreshData();
    void updateData();

signals:
    void valueChanged();

private:
    Ui::FormOCPP16GeneralSettings *ui;
    bool m_is_spread = false;
    ocpp1_6_info_t m_ocpp_info;
};

#endif // FORMOCPP16GENERALSETTINGS_H
